Bug 399521 - (ovaldi-review) Review Request: ovaldi - Reference implementation of the OVAL interpreter
Review Request: ovaldi - Reference implementation of the OVAL interpreter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 10:03 EST by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 16:05:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-26 10:03:49 EST
SPEC: http://people.redhat.com/lkundrak/SPECS/ovaldi.spec
SRPM:
http://people.redhat.com/lkundrak/mock-results/ovaldi-5.3-1.fc8.x86_64/ovaldi-5.3-1.fc8.src.rpm
mock: http://people.redhat.com/lkundrak/mock-results/ovaldi-5.3-1.fc8.x86_64/

The OVAL Interpreter is a freely available reference implementation created
to show how information can be collected from a computer for testing, to
evaluate and carry out the OVAL definitions for that platform, and to
report the results of the tests.
Comment 1 Lubomir Kundrak 2007-11-26 10:05:55 EST
RPMlint:

ovaldi.x86_64: W: file-not-utf8 /usr/share/doc/ovaldi-5.3/README.txt

Presumably this is due to the weird dash sign near the botom. I decided not to
change that, it's not worth adding a patch or sed processing.
Comment 2 Marek Mahut 2007-11-27 16:29:27 EST
+ package builds in mock (koji 262041).
+ rpmlint is reasonable for SRPM and for RPM.
+ source files match upstream.
5af68d5e0b8f51891b23a52f019741e8  interpreters.src-5.3.tbz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in good english.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible (BSD).
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Package contains contents.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.


APPROVED
Comment 3 Lubomir Kundrak 2007-11-28 05:12:07 EST
New Package CVS Request
=======================
Package Name: ovaldi
Short Description: Reference implementation of the OVAL interpreter
Owners: lkundrak
Branches: EL-4 EL-5 F-7 F-8
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-11-28 13:17:30 EST
cvs done.
Comment 5 Lubomir Kundrak 2007-11-28 16:05:24 EST
Imported to all branches. Built in Rawhide, other builds wait for xalan-c to be
pushed. Thanks Marek, thanks Kevin!

Note You need to log in before you can comment on or make changes to this bug.